#ifndef EPUBDOCUMENT_H
#define EPUBDOCUMENT_H

#include <QTextDocument>
#include <QUrl>
#include <QVariant>
#include <QImage>
#include <epub.h>

class EpubDocument : public QTextDocument
{
public:
    EpubDocument(const QString &filename, QObject *parent = 0);
    bool isValid();
    ~EpubDocument();
    struct epub *getEpub();

protected:
    virtual QVariant loadResource(int type, const QUrl &name);

private:
    struct epub *mEpub;
};

#endif
